# Ansible workstation

Ansible script to deploy my workstation with a ansible-pull.


## Automatic install

Before call ansible-pull, git and ansible are required

    apt-get install git ansible
    pacman install git ansible

Installing Choux

    # Need aur module for some tasks
    git clone https://github.com/kewlfft/ansible-aur.git ~/.ansible/plugins/modules/aur
    ansible-pull -U https://git.opytex.org/lafrite/Ansible_workstation.git Choux.yml

Installing Songe

    ansible-pull -U https://git.opytex.org/lafrite/Ansible_workstation.git Songe.yml

Installing Bilimbi

    ansible-pull -U https://git.opytex.org/lafrite/Ansible_workstation.git Bilimbi.yml

Installing Manioc

    ansible-pull -U https://git.opytex.org/lafrite/Ansible_workstation.git Manioc.yml


After running the script, there is a bug with $TERM which makes BACKSPACE and TAB to have strange behavior. To solve it, from an other computer run:

    infocmp -x | ssh -t root@remote-host 'cat > "$TERM.info" && tic -x "$TERM.info"'

## By hand for Choux

- Install vim plugin
- Copy PrivateKeys
- Copy PGP keys
- Clone password-store repository to .password-store

## By hand for Bilimbi

- Install vim plugin
